rte_flow_action_nvgre_encap(3)

NAME
rte_flow_action_nvgre_encap

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_flow_item * definition

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_NVGRE_ENCAP

NVGRE tunnel end-point encapsulation data definition

The tunnel definition is provided through the flow item pattern the provided pattern must conform with RFC7637. The flow definition must be provided in order from the RTE_FLOW_ITEM_TYPE_ETH definition up the end item which is specified by RTE_FLOW_ITEM_TYPE_END.

The mask field allows user to specify which fields in the flow item definitions can be ignored and which have valid data and can be used verbatim.

Note: the last field is not used in the definition of a tunnel and can be ignored.

Valid flow definition for RTE_FLOW_ACTION_TYPE_NVGRE_ENCAP include:

•   ETH / IPV4 / NVGRE / END

•   ETH / VLAN / IPV6 / NVGRE / END

Definition at line 3733 of file rte_flow.h.

Field Documentation

  struct rte_flow_item* definition
Encapsulating nvgre tunnel definition (terminated by the END pattern item).

Definition at line 3738 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.